Bug 1687380 - scdoc: update to 1.9.4
Summary: scdoc: update to 1.9.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scdoc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothée Floure
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-11 12:22 UTC by Hristo Venev
Modified: 2019-03-29 19:12 UTC (History)
1 user (show)

Fixed In Version: scdoc-1.9.4-3.fc28 scdoc-1.9.4-3.fc29 scdoc-1.9.4-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 21:08:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Hristo Venev 2019-03-11 12:22:31 UTC
sway git requires scdoc >= 1.9.2. The current version available in Fedora 29 is 1.3.4.

Comment 1 Timothée Floure 2019-03-11 13:18:48 UTC
The sway packagers requested updates for rawhide, as I understand you want it backported ti F28 and F29 since you build it yourself (or maintain a copr repository)?

I'll take a look tonight.

Comment 2 Fedora Update System 2019-03-11 18:19:13 UTC
scdoc-1.9.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4acb57103c

Comment 3 Fedora Update System 2019-03-11 18:19:29 UTC
scdoc-1.9.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f0f58e5aa

Comment 4 Fedora Update System 2019-03-11 18:19:35 UTC
scdoc-1.9.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dca058cc4b

Comment 5 Fedora Update System 2019-03-11 20:01:17 UTC
scdoc-1.9.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f0f58e5aa

Comment 6 Hristo Venev 2019-03-11 20:23:05 UTC
Currently the pkgconfig file points to /usr/local/bin/scdoc and sway fails to build. This is because the file was generated during make, not during %make_install.

Passing PREFIX= to make fixes this (sway now builds):

From ebd67528ad709ad4320f014ebae90b5f7754455c Mon Sep 17 00:00:00 2001
From: Hristo Venev <hristo@venev.name>
Date: Mon, 11 Mar 2019 22:18:02 +0200
Subject: [PATCH] Fix pkgconfig file.

---
 scdoc.spec | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/scdoc.spec b/scdoc.spec
index 0a14a0b..43a491c 100644
--- a/scdoc.spec
+++ b/scdoc.spec
@@ -1,6 +1,6 @@
 Name:     scdoc
 Version:  1.9.4
-Release:  1%{?dist}
+Release:  2%{?dist}
 Summary:  Tool for generating roff manual pages
 
 License:  MIT
@@ -25,7 +25,7 @@ sed -i '/-static/d' Makefile
 sed -i 's/\tinstall/\t$(INSTALL)/g' Makefile
 
 %build
-make %{?_smp_mflags}
+make PREFIX=%{_prefix} PCDIR=%{buildroot}%{_datarootdir}/pkgconfig %{?_smp_mflags}
 
 %install
 %make_install PREFIX=%{_prefix} PCDIR=%{buildroot}%{_datarootdir}/pkgconfig
@@ -44,6 +44,9 @@ make check
 %{_datarootdir}/pkgconfig/%{name}.pc
 
 %changelog
+* Mon Feb 11 2019 Hristo Venev <hristo@venev.name> - 1.9.4-2
+- Fix pkgconfig file.
+
 * Mon Feb 11 2019 Timothée Floure <fnux@fedoraproject.org> - 1.9.4-1
 - Remove some Makefile patches (applied upstream)
 - New upstream release
-- 
2.20.1

Comment 7 Fedora Update System 2019-03-11 20:49:08 UTC
scdoc-1.9.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4acb57103c

Comment 8 Fedora Update System 2019-03-12 07:23:42 UTC
scdoc-1.9.4-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-53afce5dc1

Comment 9 Fedora Update System 2019-03-12 07:23:50 UTC
scdoc-1.9.4-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e621e3a853

Comment 10 Fedora Update System 2019-03-12 07:23:56 UTC
scdoc-1.9.4-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-af79103bd6

Comment 11 Fedora Update System 2019-03-12 16:09:00 UTC
scdoc-1.9.4-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-53afce5dc1

Comment 12 Fedora Update System 2019-03-12 22:59:37 UTC
scdoc-1.9.4-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-af79103bd6

Comment 13 Fedora Update System 2019-03-12 23:41:07 UTC
scdoc-1.9.4-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e621e3a853

Comment 14 Fedora Update System 2019-03-21 21:08:33 UTC
scdoc-1.9.4-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-03-21 21:46:55 UTC
scdoc-1.9.4-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-03-29 19:12:14 UTC
scdoc-1.9.4-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.